Packages looking to be dropped...

Perhaps we should turn this in to a call for packagers. Experienced or not. If you are willing to learn, this would be the time.

The packages are already done. The package maintainer would mainly need to update the version tag and to substitute the tarball when a new version is released.

IMHO it’s more important that the packager USES that package than to be “good at compiling”. If you use it you will see the problems, and if you can’t fix it you can just ask in the mailing list. A lot of times people will just send you a fix through the OBS that you just need to accept with a single click.
Libraries can be a little more delicate, but for apps… most people can package most of them.

Look at Audacious (that is not the most simple example): https://build.opensuse.org/package/view_file?file=audacity.spec&package=audacity&project=multimedia%3Aapps
What do you not understand from it?